View Single Post
Old 12-05-2011, 11:38 AM   #36
BOYBAD
สมาชิกไทยวิซ
 
Join Date: May 2011
Posts: 12
BOYBAD is on a distinguished road
Default

Quote:
Originally Posted by LUCIFER666 View Post
คือเขียน drawing ปกติในระนาบของหน้า model นะคะ แต่อยากให้ภาพในหน้า paper เป้นภาพ rotate 90 องศาน่ะค่ะ โดยที่ภาพในหน้า model ยังคงเหมือนเดิม เพื่อนๆที่ทราบรบกวนหน่อยนะคะ (พยายามหาในนี้แล้วไม่มีค่ะ หรือว่าหาไม่เจอก็ไม่รู้ค่ะ)

ขอบคุณล่วงหน้านะคะ
ดีคับ ผมพอมีความรู้อยู่บ้างคับ ลองใช้ lisp คับ

commans:RV

;;;Written By saman
;;; Concept from saman Tips & Tools Weekly - Sept. 15, 2010
;;; by saman
;;;
;;;Program for Rotate View in paperspace
(defun c:rv (/ sset DPL DPLS vprt a1 a2)
(vl-load-com)
(setvar "cmdecho" 0)
(command "pspace");;move to paperspace
(terpri)
(princ "\nViewport to rotate...")
(setq sset(ssget ":s" '((0 . "viewport"))));;Select viewport
;;;
(setq DPL (vlax-ename->vla-object (ssname sset 0)));;Get viewport name
(setq DPLS (vlax-get-property DPL "DisplayLocked"));;Get Locked Status for Viewport
(vla-put-DisplayLocked DPL :vlax-false);; UNLOCK Viewport
;;;
(setq vprt(cdr(assoc 69 (entget(ssname sset 0)))))
(setq a1 (getangle "\nEnter or Select rotation angle..."));;Get Rotation Angle
(setq a2 (* a1 57.29578))
(command "mspace");;move to modelspace
(command "cvport" vprt);;Get selected viewport
(command "_.DVIEW" "" "_TW" a2 "");;Rotate view
(command "pspace");;Return to paperspace
;;;
(vla-put-DisplayLocked DPL DPLS);;; Restore Locked Status for Viewport
;;;
(setvar "cmdecho" 1)
(princ)
)
BOYBAD is offline   Reply With Quote